Skip to main content
GET
/
v1
/
markets
Get Markets
curl --request GET \
  --url https://api.ondoperps.xyz/v1/markets \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": {
    "perps": {
      "tradingPairs": [
        {
          "market": "AAPL-USD.P",
          "baseIncrement": "0.01",
          "quoteIncrement": "0.01"
        }
      ]
    },
    "tokenConfig": [
      {
        "id": "USDC",
        "name": "USD Coin",
        "decimals": 2,
        "tokenDecimals": 6,
        "networks": {}
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Markets response

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object